#define CMN_MAX_ARG 3

PRIVATE kdatum
ocall (func, argc, argv)
  kdatum (*func)();
  int argc;
  kdatum argv[];
{
  switch (argc)
  { case 0:
      return func();
    case 1:
      return func(argv[0]);
    case 2:
      return func(argv[0], argv[1]);
    case 3:
      return func(argv[0], argv[1], argv[2]);
    default:
      return NULL;
  }
}
